Skip to main content
GET
/
v1
/
cpn
/
payments
/
{paymentId}
Get a payment
curl --request GET \
  --url https://api.circle.com/v1/cpn/payments/{paymentId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "payment",
    "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
    "quoteId": "custom_ref_id",
    "paymentMethodType": "SPEI",
    "blockchain": "ETH-SEPOLIA",
    "senderAddress": "0xe01be9cdd9e744ae6a709794bfe531ec3ec0671c",
    "refCode": "custom_ref_id",
    "customerRefId": "custom_ref_id",
    "expireDate": "2023-01-01T12:04:05Z",
    "createDate": "2023-01-01T12:04:05Z",
    "status": "COMPLETED",
    "useCase": "B2B",
    "reasonForPayment": "PMT001",
    "sourceAmount": {
      "amount": "110.270000",
      "currency": "USDC"
    },
    "destinationAmount": {
      "amount": "183.24",
      "currency": "MXN"
    },
    "fees": {
      "breakdown": [
        {
          "amount": {
            "amount": "0.240000",
            "currency": "USDC"
          },
          "type": "BFI_TRANSACTION_FEE"
        }
      ],
      "totalAmount": {
        "amount": "110.270000",
        "currency": "USDC"
      }
    },
    "refundAddress": "0x7d9f3f9c2b7e4c0a5a9f3e8b4d2c1a0f5e6d7c8b",
    "beneficiaryRefId": "custom_ref_id",
    "fiatNetworkPaymentRef": "custom_ref_id",
    "failureReason": "CANCELLED",
    "failureCode": "PM01001",
    "rfis": [
      {
        "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
        "status": "APPROVED"
      }
    ],
    "onChainTransactions": [
      {
        "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
        "status": "PENDING"
      }
    ],
    "fiatSettlementTime": {
      "max": "3",
      "min": "1",
      "unit": "DAYS"
    },
    "refunds": [
      {
        "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
        "status": "CREATED",
        "amount": {
          "amount": "110.270000",
          "currency": "USDC"
        },
        "transactionHash": "<string>"
      }
    ],
    "metadata": {},
    "statusAddendum": "IN_MANUAL_REVIEW"
  }
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

paymentId
string<uuid>
required

The payment id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Response

Payment found.

data
object
required

Response schema for a payment containing all payment details including source and destination amounts, fees, status, and related transactions